<template>
  <div class="login">

    <div v-if="this.$auth.loggedIn && !$auth.user.email_verified" class="hint">{{ $t('tutorial.email_verified') }}</div>

    <form v-if="!this.$auth.loggedIn" @submit.prevent="signinAuth0" id="signin">
      <div class="submit-group">
        <button class="btn-primary">{{ $t('tutorial.btn-login') }}</button>
      </div>
    </form>

    <div v-if="this.$auth.loggedIn" class="user">
      <input type="text" :value="$auth.user.name" disabled>
      <input type="email" :value="$auth.user.email" disabled>
      <input type="text" :value="$auth.user.updated_at" disabled>
      <pre>{{ $auth.user }}</pre>
    </div>

    <form v-if="this.$auth.loggedIn" action="" @submit.prevent="signoutAuth0" id="signout">
      <div class="submit-group">
        <button class="btn-primary">{{ $t('tutorial.btn-logout') }}</button>
      </div>
    </form>

  </div>
</template>

<script>
export default {
  name: "Login",
  methods: {
    signinAuth0() {
      this.$auth.loginWith('auth0')
    },

    async signoutAuth0() {
      await this.$auth.logout()
    }
  }
}
</script>

<style lang="scss" scoped>
.login {
  .hint {
    margin: 0 0 15px 0;
    padding: 10px;
    background: lightyellow;
  }
}

.user {
  @include _containerHelper('tall');

  input {
    position: relative;
    display: block;
    width: calc(100% - 20px);
    margin: 5px 0;
    padding: 0 10px;
    height: 40px;

    border: 0;
    background: #f6f6f6;

    &:disabled {
      cursor: not-allowed;
      color: rgba(black, .3)
    }
  }

  pre {
    position: relative;
    overflow: auto;
    text-align: left;
    background: #f6f6f6;
    padding: 15px;
  }
}
</style>
